#include <FL/Fl_Window.H>
#include <FL/Fl_Box.H>
#include <FL/Fl.H>

class FocusWin: public Fl_Window
{
  Fl_Box box;
public:
  FocusWin(): Fl_Window(200, 100), box(0, 0, 200, 100) {}

  int handle(int ev)
  {
    switch(ev) {
    case FL_FOCUS: box.label("focus"); break;
    case FL_UNFOCUS: box.label("lost focus"); break;
    case FL_KEYDOWN: box.label("key down"); break;
    case FL_KEYUP: box.label("key up"); break;
    case FL_PUSH: box.label("push"); break;
    case FL_RELEASE: box.label("release"); break;
    } return 1;
  }
};


int main() {
  FocusWin* w = new FocusWin;
  w->label("standard 0");
  w->show();
  w = new FocusWin;
  w->label("standard 1");
  w->show();
  Fl::run();
}
